Help us improve your experience.

Let us know what you think.

Do you have time for a two-minute survey?

 
 

Browser Support

To access the Juniper Secure Analytics (JSA) interface, you must have a Web browser installed on your client system. JSA supports the following browsers:

  • Microsoft® Windows Internet Explorer, with Compatibility View Enabled - 8.0 and 9.0

  • Mozilla Firefox - 10.0 ESR and 17.0 ESR

    Note:

    Due to Mozilla’s short release cycle, we cannot commit to testing on the latest versions of the Mozilla Firefox web browser. However, we are fully committed to investigating any issues that are reported.